namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(20)]      
    public partial class GigotSleeveShirtItem :
        ClothingItem        
    {

        public override LocString DisplayName         { get { return Localizer.DoStr("Gigot Sleeve Shirt"); } }
        public override LocString DisplayDescription  { get { return Localizer.DoStr("Cool piratey shirt that makes your biceps look bigger than they really are."); } }
        public override string Slot             { get { return ClothingSlot.Shirt; } }             
        public override bool Starter            { get { return true ; } }                       

    }

    
    [RequiresSkill(typeof(ClothesmakingSkill), 1)]
    public class GigotSleeveShirtRecipe : Recipe
    {
        public GigotSleeveShirtRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<GigotSleeveShirtItem>(),
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<PlantFibersItem>(typeof(ClothesmakingEfficiencySkill), 30, ClothesmakingEfficiencySkill.MultiplicativeStrategy)
            };
            this.CraftMinutes = new ConstantValue(10);
            this.Initialize(Localizer.DoStr("Gigot Sleeve Shirt"), typeof(GigotSleeveShirtRecipe));
            CraftingComponent.AddRecipe(typeof(TailoringTableObject), this);
        }
    } 
}